Update booking-quota-grant
curl --request PATCH \
--url https://b.anny.co/api/v1/booking-quota-grants/{booking_quota_grant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '{}'import requests
url = "https://b.anny.co/api/v1/booking-quota-grants/{booking_quota_grant_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({})
};
fetch('https://b.anny.co/api/v1/booking-quota-grants/{booking_quota_grant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "booking-quota-grants",
"attributes": {
"label": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"expired_at": "<string>",
"recurring_unit": "<string>",
"recurring_period": 123,
"value": 123,
"value_type": "<string>",
"used_value": 123,
"current_value": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"booking_quota": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"granted_through": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
},
"meta": {
"formatted_value": "<string>",
"current_progress": 123,
"used_up_label": "<string>",
"short_label": "<string>"
}
}
}Plans & Passes
Update booking-quota-grant
PATCH
/
api
/
v1
/
booking-quota-grants
/
{booking_quota_grant_id}
Update booking-quota-grant
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The booking quota grant identifier.
Body
application/vnd.api+json
The body is of type object.
Antwort
OK
A granted quota allowance for a customer, tracking usage.
Show child attributes
Show child attributes
⌘I